Skip to content

# anyRemote

# Usage of web interface

It is possible to use anyremote2html package to organize web interface for anyRemote. With help of this interface any device which contains web browser and which can connect to PC with anyRemote by TCP/IP (GPRS, Wi-Fi, ...) could be used as remote control.

This feature was tested on Motorola-V220, Nokia-E61, Nokia-N800 and several WinMobile devices.

On WinMobile devices it is recomended to use Opera Mobile instead of MS IE, because Opera Mobile handles HTTP caching directives more correctly.

## Note

You can not use web interface with java client or use java client if web interface is active. These are two mutual exclusive ways of anyRemote usage.

## Short How-To

To run web interface you have to:

- install anyremote2html package.
- if GUI is used: descend to Setup->Preferences and tick "Run web interface with parameters" check box. Be sure edit fields with web interface parameters are set correctly.
- if command line is used:

  - run anyRemote with "-s socket:_some_port_" parameter. It needs to use Server-mode configuration files.

  - run anyremote2html which will work as HTTP server

For example:

    anyremote -f /path/to/some/cfg.file -s socket:5000 -http
    anyremote2html -w 5550 -a 5000 -i \
           /usr/share/pixmaps/anyremote2html/

Parameters of anyremote2html:

- -w "web-port" - use specified port for HTTP server, default is 5550
- -a "anyRemote port" - use specified port to connect to anyRemote, default is 5000
- -i "directory with icons", default is /usr/share/pixmaps/anyRemote2html/
- -r no|smart|"refresh rate" - set refresh rate for web page, "no" means no refresh, "smart" means dynamic refresh rate, default is value is "no"
- -s 16|32|64 - use specified icon size, default is 32
- --width "integer" - assume screen width is equals to specified value, default value is 240

anyremote2html supports only subset of Set() commands. The following commands are not supported and will be skipped by anyremote2html:

    Set(filemanager, ...)
    Set(fullscreen, ...)
    Set(image, ...)
    Set(parameter, ...)
    Set(repaint, ...)
    Set(skin, ...)
    Set(vibrate, ...)
    Set(volume, ...)

Command Set(iconlist, ...) interpreted as Set(list, ...)

Maintained by anyRemote. Website by m.lettner.